Vue la date de modification de ce fichier (Wed Nov 16 11:50:52 2011), il est assez vraisemblable que les informations contenues soient obsolètes !
Tenez-en compte fortement...

Ennui avec le pilote nVidia 1.0-6111

Il y a un soucis avec le pilote nVidia 1.0-6111, pour les noyaux 2.6.x...
Il est nécessaire de patcher le noyau pour que le pilote fonctionne, après l'application.

Allocation VMALLOC

Téléchargez le patch suivant...
et, installez-le !

cd /usr/src/linux
patch -p1 < vmalloc_reserve.patch

Il vous faut ensuite recompiler le kernel et le pilote nVidia...

 

PS : Info donnée sur Linuxfr.org et expliquée sur la Linux Kernel Mailing List

 

Le patch suivant, ciblant le noyau 2.6.10 tout particulièrement, englobe ce patch VMALLOC.

 

PCI_FIND_CLASS

C'est un soucis entre le pilote nvidia, version 1.0-6111, version 1.0-6629 et le noyau 2.6.10...

Si en chargeant le module nvidia, vous avez ce message d'erreur Unknow symbole 'pci_find-class',il faut patcher le noyau linux avec le patch suivant que vous devez télécharger !

 

Positionnez-vous dans le répertoire /usr/src/linux, copiez-le dedans, et patchez de cette manière :
patch -p1 < nvidia-2.6.10.diff

 

Il vous faut ensuite recompiler le kernel et le pilote nVidia...

 

 


<<| Page : Linux : nVidia : Faq : Problem : driver : 1.0-6111 : |>>


 

 

^ Haut de page ^